--- title: "Get Quarantine Zone Details using Quarantine Zone ID at Domain Level" slug: "get-quarantine-zone-details-using-quarantine-zone-id-at-domain-level" tags: ["Reference", "IPS 10.1.10"] updated: 2026-09-23T09:38:58Z published: 2026-09-23T09:38:58Z canonical: "docs.trellix.com/get-quarantine-zone-details-using-quarantine-zone-id-at-domain-level" --- > ## Documentation Index > Fetch the complete documentation index at: https://docs.trellix.com/llms.txt > Use this file to discover all available pages before exploring further. # Get Quarantine Zone Details using Quarantine Zone ID at Domain Level This URL retrieves the details of quarantine zone at domain level. ## Resource URL GET /domain//quarantineZone/ ## Request Parameters URL Parameters: | Field Name | Description | Data Type | Mandatory | | --- | --- | --- | --- | | domainId | Domain id | Number | Yes | | quarantineZoneID | Quarantine zone id | Number | Yes | ## Response Parameters Following fields are returned. | Field Name | Description | Data Type | | --- | --- | --- | | quarantineZoneId | Quarantine zone unique id | Number | | quarantineZoneName | Name of quarantine zone | String | | quarantineZoneDescription | Description of quarantine zone | String | | ownerId | Domain id | Number | | visibleToChild | Is quarantine zone visible to child domain | Boolean | | isEditable | Is quarantine zone editable or not | Boolean | | quarantineZoneVersion | Quarantine zone version | Number | | lastModifiedTime | The time quarantine zone last modified | String | | lastModifiedUser | Last user that modified the quarantine zone | String | | rules | List of rules | Array | Details of rules: | Field Name | Description | Data Type | | --- | --- | --- | | uuid | Unique id of rule | Number | | state | Is rule enabled or not | Boolean | | ruleDescription | Description of rule | String | | destObjList | Destination rule object | Object | | serviceObjList | Service rule object | Object | | action | Action to be performed if the traffic matches this rule, can be "PERMIT"/ "DROP" | String | | islogging | Is logging enabled for this rule | Boolean | Details of destObjList: | Field Name | Description | Data Type | | --- | --- | --- | | RuleObjectId | Unique rule object id | String | | RuleObjectName | Rule object name | String | | RuleObjectType | Destination mode. Can be "IPV4_NETWORK" / "IPV4_ENDPOINT" | String | Details of serviceObjList: | Field Name | Description | Data Type | | --- | --- | --- | | RuleObjectId | Unique rule object id | String | | RuleObjectName | Rule object name | String | | RuleObjectType | Destination mode. Can be "SERVICE" | String | | ApplicationType | Application type. Can be "DEFAULT" / "CUSTOM" | String | ## Example **Request** GET [https:///sdkapi/domain/0/quarantineZone/220](https://%3CNSM_IP%3E/sdkapi/domain/0/quarantineZone/220) **Response** ``` {  "quarantineZoneId": 220,  "quarantineZoneName": "Quarantine20",  "quarantineZoneDescription": "Desc:Adds a new Quarantine Zone",  "ownerId": 0,  "visibleToChild": true,  "isEditable": true,  "quarantineZoneVersion": 0,  "lastModifiedTime": "2017-06-21 11:13:38",  "lastModifiedUser": "admin",  "rules": [    {      "uuid": 125,      "state": true,      "ruleDescription": "create a new rule",      "destObjList": [],      "serviceObjList": [],      "action": "PERMIT",      "islogging": true    },    {      "uuid": 126,      "state": true,      "ruleDescription": "create a new rule",      "destObjList": [        {          "ruleObjectId": "12",          "ruleObjectName": "The 172.16.0.0/12 network",          "ruleObjectType": "IPV4_NETWORK"        }      ],      "serviceObjList": [        {          "ruleObjectId": "130",          "ruleObjectName": "ssl",          "ruleObjectType": "SERVICE",          "applicationType": "DEFAULT"        }      ],      "action": "PERMIT",      "islogging": true    }  ] } ```   ## Error Information Following error codes are returned by this URL: | No | HTTP Error Code | SDK API errorId | SDK API errorMessage | | --- | --- | --- | --- | | 1 | 404 | 1105 | Invalid domain | | 2 | 500 | 1001 | Invalid quarantine zone id |